/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

#include "config.h"

#include "audio.h"

#include <guacamole/client.h>

void guac_spice_client_audio_playback_data_handler(
        SpicePlaybackChannel* channel, gpointer data, gint size,
        guac_client* client) {
    
    guac_client_log(client, GUAC_LOG_DEBUG, "Calling audio playback data handler.");
    
}

void guac_spice_client_audio_playback_delay_handler(
        SpicePlaybackChannel* channel, guac_client* client) {
    
    guac_client_log(client, GUAC_LOG_DEBUG, "Calling audio playback delay handler.");
    
}

void guac_spice_client_audio_playback_start_handler(
        SpicePlaybackChannel* channel, gint format, gint channels, gint rate,
        guac_client* client) {
    
    guac_client_log(client, GUAC_LOG_DEBUG, "Calling audio playback start handler.");
    
}

void guac_spice_client_audio_playback_stop_handler(
        SpicePlaybackChannel* channel, guac_client* client) {
    
    guac_client_log(client, GUAC_LOG_DEBUG, "Calling audio playback stop handler.");
    
}

void guac_spice_client_audio_record_start_handler(SpiceRecordChannel* channel,
        gint format, gint channels, gint rate, guac_client* client) {
    
    guac_client_log(client, GUAC_LOG_DEBUG, "Calling audio record start handler.");
    
}

void guac_spice_client_audio_record_stop_handler(SpiceRecordChannel* channel,
        guac_client* client) {
    
    guac_client_log(client, GUAC_LOG_DEBUG, "Calling audio record stop handler.");
    
}